@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';




/*Icons for explorer tree */
div.yw-explorerTree {
    .y-tree-icon-hmc_type_tree_solrfacetsearchconfig .y-tree-icon {
        background-image: url("images/0115_Facet-Research-Config.png");
    }

    .y-tree-icon-hmc_type_tree_solrindexedtype .y-tree-icon {
        background-image: url("images/0119_SOLR-Item-types.png");
    }

    .y-tree-icon-hmc_type_tree_solrvaluerangeset .y-tree-icon {
        background-image: url("images/0118_Ranges.png");
    }

    .y-tree-icon-SolrIndexerOperationWizard .y-tree-icon {
        background-image: url("images/0117_Indexer-operation-wizard.png");
    }

    .y-tree-icon-SolrIndexerHotUpdateWizard .y-tree-icon {
        background-image: url("images/0116_Indexer-hot-update-operation-wizard.png");
    }
    .y-tree-icon-SolrIndexedCoresRecord .y-tree-icon {
        background-image: url("images/0120_SOLR-Record.png");
    }
}

/* Icons for buttons */
button {
    &.export-solr-configuration-btn {
        height: 30px;
        width: 160px;
        background-repeat: no-repeat;
        background-position: 5px 50%;
        margin-bottom: 15px
    }

    &.indexerhotupdate-btn,
    &.indexeroperations-btn {
        height: 30px;
        width: 250px;
        background-repeat: no-repeat;
        background-position: 5px 50%;
        margin-bottom: 15px
    }
}